cerhu > linux.debian.user.french

Bulot Grégory (10/09/2006, 16h20)
Bonjour,

J'ai gaff?vec ma etch, j'ai voulu installer eterm mais il n'existait plus
sous testing, j'ai r?p? eterm_0.9.2-8_i386.deb de la stable (sarge)

j'ai fait un dpkg -i eterm_0.9.2-8_i386.deb, mais il y avait des d?ndances ?satisfaire, je n'ai pas voulu l'installer, mais voila maintenant, n'importe
quel apt-get install plante avec ce message :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Vous pouvez lancer « apt-get -f install » pour corrigerces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
eterm: Dépend: libast2 (>= 0.6-0pre2003010606) mais il n'est pas installé
Dépend: libimlib2 mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

mais je veux pas ? si je force je vais casser d'autres d?ndances, voir
casser ma Etch ! comment revenir ?a situation avec le dpkg -i eterm ?
txo (10/09/2006, 16h40)
Le Sun, 10 Sep 2006 15:51:11 +0200
Bulot Gr?ry <spam_debian.list> nous susurrait :

> Les paquets suivants contiennent des dépendances non satisfaites :
> eterm: Dépend: libast2 (>= 0.6-0pre2003010606) mais il n'est pas
> installé Dépend: libimlib2 mais il n'est pas installé
> E: Dépendances manquantes. Essayez d'utiliser l'option -f.
> mais je veux pas ? si je force je vais casser d'autres d?ndances,
> voir casser ma Etch ! comment revenir ?a situation avec le dpkg -i
> eterm ?


-f ne veut pas dire forcer mais fix-broken

man apt-get explique :

Correction ; essaye de r?rer un syst? dont les d?ndances
sont d?ctueuses. Cette option, utilis?avec install ou remove,
peut omettre tout paquet de fa? ?ermettre ?PT de d?ire une
solution viable. Chaque paquet sp?fi?oit compl?ment
corriger le probl?.
Bulot Grégory (10/09/2006, 18h50)
Le dimanche 10 septembre 2006 16:35, txo a ?it :
> Le Sun, 10 Sep 2006 15:51:11 +0200


> > mais je veux pas ? si je force je vais casser d'autres d?ndances,
> > voir casser ma Etch ! comment revenir ?a situation avec le dpkg -i
> > eterm ?

> -f ne veut pas dire forcer mais fix-broken


apt-get -f install (idem avec remove )
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés :
libast2 libimlib2
Les NOUVEAUX paquets suivants seront installés :
libast2 libimlib2
0 mis à jour, 2 nouvellement installés, 0 à enlever et 94 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/283ko dans les archives.
Après dépaquetage, 782ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ?

il veut donc quand m? installer libast2 libimlib2 qui sont n?ssairepour
eterm (mais je ne veut plus d'eterm, de peur de casser autre chose)
Vanuxem Grégory (10/09/2006, 19h00)
Le dimanche 10 septembre 2006 à 17:39 +0200, Bulot Grégory a écrit :
[..]
> libast2 libimlib2
> 0 mis à jour, 2 nouvellement installés, 0 à enlever et 94 non mis à jour.
> 1 partiellement installés ou enlevés.
> Il est nécessaire de prendre 0o/283ko dans les archives.
> Apr�s dépaquetage, 782ko d'espace disque supplémentaires seront utilisés.
> Souhaitez-vous continuer [O/n]Â ?
> eterm (mais je ne veut plus d'eterm, de peur de casser autre chose)


Je doute que ça casse quelque chose mais si tu veux le retirer tu peux
utiliser dpkg:

dpkg -r eterm

Greg
Vanuxem Grégory (10/09/2006, 19h20)
Le dimanche 10 septembre 2006 à 18:56 +0200, Vanuxem Grégory a écrit :
> Le dimanche 10 septembre 2006 à 17:39 +0200, Bulot Grégory a écrit :
> Je doute que ça casse quelque chose


Je tiens à rajouter qu'apparemment rien n'était cassé sur ton système.
C'est juste que dpkg n'avait pas configuré eterm car des dépendances
étaient manquantes. Apt par la suite t'a demandé (forcé si tu préfères)
de régler ce problème en utilisant la commande 'apt-get -f install'.
Juste pour résumer, il n'y avait rien d'inquiétant dans ce que tu nous a
dit/montré, c'est juste que dpkg ne s'occupe pas d'installer les
dépendances contrairement à apt.

Greg
[..]
Jean Baptiste Balleyguier (10/09/2006, 19h50)
Et en faisant un

#apt-get remove eterm

??

Regarde dans synaptic s'il n'apparait pas comme un paquet cass?

Jean Baptiste

On Sunday 10 September 2006 15:51, Bulot Gr?ry wrote:
[..]
Bulot Grégory (10/09/2006, 20h30)
Le dimanche 10 septembre 2006 18:56, Vanuxem Grégory a écrit :

> > apt-get -f install (idem avec remove )


> > il veut donc quand même installer libast2 libimlib2 qui sont nécessaire
> > pour eterm (mais je ne veut plus d'eterm, de peur de casser autre chose)

> Je doute que ça casse quelque chose mais si tu veux le retirer tu peux
> utiliser dpkg:
> dpkg -r eterm


ooopps j'ai honte, j'avais essayé cela (et resté bloqué dessus) :
- dpkg -r eterm_0.9.2-8_i386.deb
et non
- dpkg -r eterm (j'suis con parfois .... souvent .... ?)

C'était bien votre dernière réponse, la bonne !
Merci

Slts
Greg
Bulot Grégory (11/09/2006, 07h40)
Le dimanche 10 septembre 2006 19:12, Vanuxem Grégory a écrit :

> Juste pour résumer, il n'y avait rien d'inquiétant dans ce que tu nous a
> dit/montré, c'est juste que dpkg ne s'occupe pas d'installer les
> dépendances contrairement à apt.


Effectivement, suite à votre post précédant je suis revenu dans une
situation 'normale'
Discussions similaires
installations avec apt-get des dépendances d'un paq uet local installé avec dpkg

problèmes avec dpkg / apt-get

DPKG cassé !!

Dépendances avec apt-get install sur experimantal...


Fuseau horaire GMT +2. Il est actuellement 05h38. | Privacy Policy